﻿//sleep 1000;

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//                                                      CHAPTER I. Intro + base
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

[] spawn {
	waitUntil {intro};

// Black screen, opening titles + logos
"colorCorrections" ppEffectAdjust[ 0, 0, 0, [0, 0, 0, 0],[1.8, 1.8, 0.3, 0.7],[0.2, 0.59, 0.11, 0]];
"colorCorrections" ppEffectEnable TRUE;
"colorCorrections" ppEffectCommit 0; 

titleCut ["","BLACK Out", 0];
0 fadeSound 0;

	_camera = "camera" camCreate [0,0,0];
	_camera cameraEffect ["INTERNAL", "BACK"];

		waitUntil {
				preloadTitleRsc ["prolog01", "PLAIN"];
				preloadTitleRsc ["prolog02", "PLAIN"];
				preloadTitleRsc ["prolog03", "PLAIN"];
				preloadTitleRsc ["prolog04", "PLAIN"];
				preloadTitleRsc ["prolog05", "PLAIN"];
				preloadTitleRsc ["prolog06", "PLAIN"];
				preloadTitleRsc ["SgS_logo", "PLAIN"];
				preloadTitleRsc ["Fpd_logo", "PLAIN"];

			   };

		sleep 2;

		PlayMusic "AmbientTrack01a_F";

		sleep 1;
		titleRsc ["prolog01","plain"];
		sleep 7;
		titleRsc ["prolog02","plain"];
		sleep 7;
		titleRsc ["prolog03","plain"];
		sleep 7;
		titleRsc ["prolog05","plain"];
		sleep 7;
		titleRsc ["prolog06","plain"];
		7 fadeMusic 0;
		sleep 7;

	_camera CameraEffect ["Terminate", "Back"];
	CamDestroy _camera;

/////////////////////////////////////////////////////////////


	skiptime 3;
	0 setOvercast 0.5;

	whi01 setPos getMarkerPos "whi01_poz";
	whi02 setPos getMarkerPos "whi02_poz";
	whi03 setPos getMarkerPos "whi03_poz";
	negr setPos getMarkerPos "negr_poz";

	whi01 setDir 155;
	whi02 setDir 340;
	whi03 setDir 0;
	negr setDir 180;

	removeHeadgear whi01;
	removeUniform whi01;

	removeHeadgear whi01_1;
	removeUniform whi01_1;

	sleep 0.05;
	whi01 addHeadgear "H_Shemag_Olive";
	whi01 addUniform "U_IG_Guerilla3_2";
	whi01 setFace "WhiteHead_01";
	whi01 switchMove "acts_PointingLeftUnarmed";

	whi01_1 addHeadgear "H_Shemag_Olive";
	whi01_1 addUniform "U_IG_Guerilla3_2";
	whi01_1 setFace "WhiteHead_01";
	

	removeHeadgear whi02;
	removeUniform whi02;
	sleep 0.05;
	whi02 addHeadgear "H_Shemag_Olive";
	whi02 addUniform "U_IG_Guerilla2_2";
	whi02 setFace "WhiteHead_02";

	removeHeadgear whi03;
	removeUniform whi03;
	sleep 0.05;
	whi03 addHeadgear "H_Shemag_Olive";
	whi03 addUniform "U_IG_Guerilla3_1";
	whi03 setFace "WhiteHead_03";

	removeUniform negr;
	removeHeadgear negr;

	selectPlayer whi03;



	[] Spawn {

		whi03 setDir 0;
		whi03 switchMove "Acts_welcomeOnHUB02_PlayerWalk_2";
		sleep 7.5;
		//whi03 SwitchMove "AmovPercMstpSnonWnonDnon";
		whi03 switchMove "";

		};



	[0, 0] spawn BIS_fnc_cinemaBorder;
	"colorCorrections" ppEffectEnable FALSE;
	titleCut ["","BLACK In", 4];
	1 fadeSound 1;

		titletext [Localize "STR_e00h17","PLAIN DOWN",0.8];
		whi01 say3D "e00h17";
		sleep 5;
		titletext [Localize "STR_e00h18","PLAIN DOWN",0.8];
		whi01 say3D "e00h18";
		sleep 5;
		titletext [Localize "STR_e00h19","PLAIN DOWN",0.8];
		whi01 say3D "e00h19";
		sleep 5;
		titletext [Localize "STR_e00h20","PLAIN DOWN",0.8];
		whi01 say3D "e00h20";
		sleep 5;

	whi02 addMagazine "9Rnd_45ACP_Mag";
	whi02 addWeapon "hgun_ACPC2_F";

	whi02 Dotarget negr;
	whi02 lookAt negr;

		titletext [Localize "STR_e00h21","PLAIN DOWN",0.8];
		whi02 say3D "e00h21";

	sleep 2;

	negr lookAt negr_cum;

	sleep 0.5;
	whi02 disableAI "ANIM";

	sleep 1.5;
	negr setDir 0;
	negr PlayMove "AmovPercMstpSnonWnonDnon_AmovPercMstpSsurWnonDnon";

	sleep 1;

	negr disableAI "ANIM";
	negr setDir 0;

	sleep 2;

	negr setDamage 1;
	negr setDamage 0;


	sleep 1;
		titletext [Localize "STR_e00h22","PLAIN DOWN",0.8];
		whi02 say3D "e00h22";
	sleep 5;

	whi01_1 playmove "Acts_AidlPercMstpSlowWrflDnon_pissing";

		titletext [Localize "STR_e00h23","PLAIN DOWN",0.8];
		whi01 say3D "e00h23";
	sleep 1;

	titleCut ["","BLACK Out", 2];
	sleep 2.1;

	deleteVehicle whi01;

	removeAllWeapons whi02;

	whi01_1 lookAt whi01_cum;
	whi01_1 setDir 60;
	whi01_1 setPos getMarkerPos "whi01_poz";

	sleep 2;


	_camera = "camera" camCreate [0,0,0];
	_camera cameraEffect ["INTERNAL", "BACK"];

	//comment "16:12:47";
	_camera camPrepareTarget [102777.74,84255.14,-7236.32];
	_camera camPreparePos [24031.30,23046.94,3.51];
	_camera camPrepareFOV 0.235;
	_camera camCommitPrepared 0;

	titleCut ["","BLACK In", 2];

	//comment "16:13:00";
	_camera camPrepareTarget [102777.74,84255.14,-7236.27];
	_camera camPreparePos [24029.88,23048.76,3.44];
	_camera camPrepareFOV 0.235;
	_camera camCommitPrepared 10;

	sleep 5;

	playMusic ["AmbientTrack01a_F",31.5]; 
		5 fadeMusic 1;
	sleep 1;
	titleCut ["","BLACK Out", 4];

		sleep 4;





//////////////////////////////////////////////////////////////////////////////////


		"colorCorrections" ppEffectAdjust[ 0, 0, 0, [0, 0, 0, 0],[1.8, 1.8, 0.3, 0.7],[0.2, 0.59, 0.11, 0]];
		"colorCorrections" ppEffectEnable TRUE;
		"colorCorrections" ppEffectCommit 0; 


		_video = ["rsc\sgs_logo.ogv"] spawn bis_fnc_playVideo;

		sleep 8.5;
		titleRsc ["Fpd_logo","plain"];
		sleep 5;
		
		7 fadeMusic 0;
		sleep 9;
	

//letter romantic sad cutscene



		playMusic "peace";
		0 fadeMusic 1;
		skipTime -3;

	_camera = "camera" camCreate [0,0,0];
	_camera cameraEffect ["INTERNAL", "BACK"];


	"colorCorrections" ppEffectEnable FALSE;
		titleCut ["","BLACK In", 4];



		//comment "18:56:36"; les
		_camera camPrepareTarget [112004.83,63890.62,6150.81];
		_camera camPreparePos [21901.63,20951.20,2.57];
		_camera camPrepareFOV 0.700;
		_camera camCommitPrepared 0;
		

		//comment "18:56:53";
		_camera camPrepareTarget [102679.09,59446.34,44706.28];
		_camera camPreparePos [21929.48,20964.47,0.20];
		_camera camPrepareFOV 0.700;
		_camera camCommitPrepared 30;
		sleep 5;

		playSound "Prolog";

		sleep 25;

		//comment "19:04:28"; pobrezi
		_camera camPrepareTarget [108292.59,66855.31,19742.07];
		_camera camPreparePos [21725.63,20849.40,3.37];
		_camera camPrepareFOV 0.310;
		_camera camCommitPrepared 0;

		//comment "19:04:45";
		_camera camPrepareTarget [109454.52,67473.03,11399.67];
		_camera camPreparePos [21714.71,20869.93,3.32];
		_camera camPrepareFOV 0.310;
		_camera camCommitPrepared 25;
		sleep 22;

		titleCut ["","BLACK Out", 3];
		sleep 3.5;

		//comment "19:09:35"; kaple / pristav
		_camera camPrepareTarget [-72766.73,3757.67,-18328.96];
		_camera camPreparePos [23421.52,24207.29,10.22];
		_camera camPrepareFOV 0.382;
		_camera camCommitPrepared 0;

		titleCut ["","BLACK In", 3];

		//comment "19:09:57";
		_camera camPrepareTarget [-73753.67,39539.80,-18334.13];
		_camera camPreparePos [23334.65,24190.58,10.37];
		_camera camPrepareFOV 0.382;
		_camera camCommitPrepared 35;

		sleep 32;
		titleCut ["","BLACK Out", 3];
		sleep 3.5;


		//comment "19:32:29"; vykopavky
		_camera camPrepareTarget [-3735.42,116001.52,14888.05];
		_camera camPreparePos [20074.62,20022.54,1.61];
		_camera camPrepareFOV 0.346;
		_camera camCommitPrepared 0;

		titleCut ["","BLACK In", 3];

		//comment "19:32:55";
		_camera camPrepareTarget [-57613.57,82945.05,1688.82];
		_camera camPreparePos [20107.36,20042.96,2.42];
		_camera camPrepareFOV 0.346;
		_camera camCommitPrepared 40;

		sleep 35;
		titleCut ["","BLACK Out", 5];
		15 fadeMusic 0;
		sleep 5.5;

		zakladna_start = true;
		[1, 0] spawn BIS_fnc_cinemaBorder;



		//cam exec "camera.sqs";

	};


[] spawn {
	waitUntil {zakladna_start};

	_camera = "camera" camCreate [0,0,0];
	_camera cameraEffect ["INTERNAL", "BACK"];

	aP setPos [20968.29,19202.55,3.36];
	popohanec setPos [20965.23,19197.03,3.46];
	popohanec playMove "AmovPercMwlkSlowWrflDf_v1";

	aP playMove "Acts_ShieldFromSun_loop";
	sleep 0.8;

	titleCut ["","BLACK In", 3];

	//comment "19:31:47"; uvodni najezd na hrace na strese
	_camera camPrepareTarget [-43154.13,-57246.66,-6518.97];
	_camera camPreparePos [20971.83,19206.07,4.69];
	_camera camPrepareFOV 0.293;
	_camera camCommitPrepared 0;


	//comment "20:08:53";
	_camera camPrepareTarget [-43154.13,-57246.66,-6518.46];
	_camera camPreparePos [20971.03,19205.12,4.69];
	_camera camPrepareFOV 0.293;
	_camera camCommitPrepared 4;

	sleep 2;
	aP playMove "Acts_ShieldFromSun_out";
	aP lookAt popohanec;
	popohanec lookAt aP;
	popohanec doWatch aP;
	sleep 2;
	selectPlayer aP;


	titleCut ["","White Out", 1];

	_camera CameraEffect ["Terminate", "Back"];
	CamDestroy _camera;
	popohanec setDir 0;

	titleCut ["","White In", 0.5];

// --------------------------------------------------------------------------------------
//--------------------------------PAS�� ROZHOVOR DOPLNIT---------------------------------
//---------------------------------------------------------------------------------------

	titletext [Localize "STR_e00h01","PLAIN DOWN",0.8];
	popohanec say3D "e00h01";
	sleep 5;
	titletext [Localize "STR_e00h02","PLAIN DOWN",0.8];
	player say3D "e00h02";
	sleep 3;
	titletext [Localize "STR_e00h03","PLAIN DOWN",0.8];
	popohanec say3D "e00h03";
	sleep 3;
	titletext [Localize "STR_e00h04","PLAIN DOWN",0.8];
	popohanec say3D "e00h04";
	sleep 5;
	titletext [Localize "STR_e00h05","PLAIN DOWN",0.8];
	player say3D "e00h05";
	sleep 5;

// --------------------------------------------------------------------------------------
//--------------------------------PAS�� ROZHOVOR DOPLNIT---------------------------------
//---------------------------------------------------------------------------------------
//GreekHead_A3_08 hlava pro opravare - blondak




	[Player, localize "STR_ukol1_nazev", [localize "STR_ukol1_provedeni", localize "STR_ukol1_nazev", localize "STR_ukol1_WP"],"m1"] call BIS_fnc_taskCreate;
	[localize "STR_ukol1_nazev"] call BIS_fnc_taskSetCurrent;

	

	waitUntil {player distance radio < 3};

	titletext [Localize "STR_e00h06","PLAIN DOWN",0.8];
	player say3D "e00h06";
	sleep 3;
	titletext [Localize "STR_e00h07","PLAIN DOWN",0.8];
	mechanik say3D "e00h07";
	sleep 2;

// doplnit zpravy z radia o nocnim prepadu checkpointu

	titletext [Localize "STR_e00h08","PLAIN DOWN",0.8];
	mechanik say3D "e00h08";
	sleep 3;
	titletext [Localize "STR_e00h09","PLAIN DOWN",0.8];
	player say3D "e00h09";
	sleep 3;
	titletext [Localize "STR_e00h10","PLAIN DOWN",0.8];
	mechanik say3D "e00h10";
	sleep 5;
	titletext [Localize "STR_e00h11","PLAIN DOWN",0.8];
	player say3D "e00h11";
	sleep 5;
	titletext [Localize "STR_e00h12","PLAIN DOWN",0.8];
	mechanik say3D "e00h12";
	sleep 3;

	vel_konvoj_fake SideChat Localize "STR_e00r01";
	playSound "e00r01";
	sleep 2;
	player SideChat Localize "STR_e00r02";
	playSound "e00r02";
	sleep 2;
	vel_konvoj_fake SideChat Localize "STR_e00r03";
	playSound "e00r03";
	sleep 6;
	player SideChat Localize "STR_e00r04";
	playSound "e00r04";
	sleep 1;

	[localize "STR_ukol1_nazev", "Succeeded"] call BIS_fnc_taskSetState;

	titletext [Localize "STR_e00h13","PLAIN DOWN",0.8];
	player say3D "e00h13";
	sleep 5;
	titletext [Localize "STR_e00h14","PLAIN DOWN",0.8];
	mechanik say3D "e00h14";
	sleep 4;
	titletext [Localize "STR_e00h15","PLAIN DOWN",0.8];
	player say3D "e00h15";
	
	[Player, localize "STR_ukol2_nazev", [localize "STR_ukol2_provedeni", localize "STR_ukol2_nazev", localize "STR_ukol2_WP"],"m2"] call BIS_fnc_taskCreate;
	[localize "STR_ukol2_nazev"] call BIS_fnc_taskSetCurrent;

	waitUntil {player distance car03 < 40};

	0 fadeMusic 0;

	player assIgnAsCargo car03;
	[player] orderGetIn true;

	vel_konvoj_fake SideChat Localize "STR_e00r05";
	playSound "e00r05";

	sleep 4;

	titletext [Localize "STR_e00h16","PLAIN DOWN",0.8];
	player say3D "e00h16";
	
	waitUntil {player in car03};

	car03 lock true;

	titleCut ["","BLACK Out", 3];
	sleep 3.1;

	odjezd_konvoje = true;

	};


[] spawn {

	waitUntil {odjezd_konvoje};

	0 fadeMusic 0;

	Path_car01 = compile preprocessFile "path\path_car01.sqf";
	Path_car02 = compile preprocessFile "path\path_car02.sqf";
	Path_car03 = compile preprocessFile "path\path_car03.sqf";
	Path_car04 = compile preprocessFile "path\path_car04.sqf";

	


	_camera = "camera" camCreate [0,0,0];
	_camera cameraEffect ["INTERNAL", "BACK"];

	playMusic ["LeadTrack02_F",45];
	8 fadeMusic 0.1;
	titleCut ["","BLACK In", 5];

	//comment "19:03:02";
	_camera camPrepareTarget [-60747.11,-38253.38,-1323.17];
	_camera camPreparePos [21024.74,19290.97,1.06];
	_camera camPrepareFOV 0.309;
	_camera camCommitPrepared 0;

	waitUntil {camCommitted _camera};

	//comment "19:03:10";
	_camera camPrepareTarget [-60747.11,-38253.38,-1323.14];
	_camera camPreparePos [21023.88,19290.37,1.01];
	_camera camPrepareFOV 0.309;
	_camera camCommitPrepared 8;

	waitUntil {camCommitted _camera};

		[] spawn 

			{

			rec = [] spawn Path_car01;
			car01 say "car01_engineSND_base";
			sleep 1;
			rec = [] spawn Path_car02;
			car02 say "car02_engineSND_base";
			sleep 0.5;
			rec = [] spawn Path_car04;
			car04 say "car04_engineSND_base";
			sleep 0.4;
			rec = [] spawn Path_car03;
			car03 say "car03_engineSND_base";

			};


	15 fadeMusic 1;

	//comment "19:04:35";
	_camera camPrepareTarget [97655.16,83269.67,4301.56];
	_camera camPreparePos [20956.05,19244.60,1.17];
	_camera camPrepareFOV 0.254;
	_camera camCommitPrepared 0;
	waitUntil {camCommitted _camera};

	//comment "19:04:46";
	_camera camPrepareTarget [97655.16,83269.67,4301.17];
	_camera camPreparePos [20953.25,19245.99,1.60];
	_camera camPrepareFOV 0.254;
	_camera camCommitPrepared 6;
	waitUntil {camCommitted _camera};

	//comment "18:56:14";
	_camera camPrepareTarget [113081.14,-3771.35,-31430.00];
	_camera camPreparePos [20997.91,19285.05,6.01];
	_camera camPrepareFOV 0.386;
	_camera camCommitPrepared 0;

	//comment "18:56:29";
	_camera camPrepareTarget [116308.85,-9025.92,-10688.16];
	_camera camPreparePos [21000.60,19286.45,6.01];
	_camera camPrepareFOV 0.386;
	_camera camCommitPrepared 8;
	waitUntil {camCommitted _camera};

	setAcctime 0.7;

	//comment "19:08:39";
	_camera camPrepareTarget [-36369.97,100730.77,-4780.07];
	_camera camPreparePos [21205.18,19112.67,1.50];
	_camera camPrepareFOV 0.138;
	_camera camCommitPrepared 0;


	//comment "19:08:52";
	_camera camPrepareTarget [-36369.97,100730.77,-4780.11];
	_camera camPreparePos [21212.82,19118.06,1.67];
	_camera camPrepareFOV 0.138;
	_camera camCommitPrepared 6.5;
	waitUntil {camCommitted _camera};

	6 fadeSound 0;

	setAcctime 0.9;

	//comment "19:16:49";
	_camera camPrepareTarget [64085.81,-70838.50,6639.10];
	_camera camPreparePos [21175.54,19244.28,0.80];
	_camera camPrepareFOV 0.275;
	_camera camCommitPrepared 0;

	//comment "19:17:12";
	_camera camPrepareTarget [110270.12,-19887.05,23009.04];
	_camera camPreparePos [21161.67,19241.01,0.59];
	_camera camPrepareFOV 0.275;
	_camera camCommitPrepared 5;

	sleep 2;

	konvoj_jede = true;
	titleCut ["","BLACK Out", 3];
	sleep 5;

	};


//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//                                                      CHAPTER II. Ambush
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////


[] spawn {

	waitUntil {konvoj_jede};


	sleep 3;


	//_camera CameraEffect ["Terminate", "Back"];
	//CamDestroy _camera;

	// staticti utocnici na konvoj
	{_x setUnitPos "DOWN"} foreach [stat_utocnik01, stat_utocnik02, stat_utocnik03, stat_utocnik04, stat_utocnik05, stat_utocnik06 ,stat_utocnik07 ,stat_utocnik08];	
	{_x setCombatMode "BLUE"} foreach [stat_utocnik01, stat_utocnik02, stat_utocnik03, stat_utocnik04, stat_utocnik05, stat_utocnik06 ,stat_utocnik07 ,stat_utocnik08];
	{_x setCaptive true} foreach [stat_utocnik01, stat_utocnik02, stat_utocnik03, stat_utocnik04, stat_utocnik05, stat_utocnik06 ,stat_utocnik07 ,stat_utocnik08];	
	
	{_x setskill ["aimingAccuracy",0.2]} foreach [stat_utocnik01, stat_utocnik02, stat_utocnik03, stat_utocnik04, stat_utocnik05, stat_utocnik06 ,stat_utocnik07 ,stat_utocnik08];	
	{_x setskill ["aimingShake",0.3]} foreach [stat_utocnik01, stat_utocnik02, stat_utocnik03, stat_utocnik04, stat_utocnik05, stat_utocnik06 ,stat_utocnik07 ,stat_utocnik08];	
	{_x setskill ["endurance",1]} foreach [stat_utocnik01, stat_utocnik02, stat_utocnik03, stat_utocnik04, stat_utocnik05, stat_utocnik06 ,stat_utocnik07 ,stat_utocnik08];	
	{_x setskill ["spotTime",0.5]} foreach [stat_utocnik01, stat_utocnik02, stat_utocnik03, stat_utocnik04, stat_utocnik05, stat_utocnik06 ,stat_utocnik07 ,stat_utocnik08];	
	{_x setskill ["reloadSpeed",0.3]} foreach [stat_utocnik01, stat_utocnik02, stat_utocnik03, stat_utocnik04, stat_utocnik05, stat_utocnik06 ,stat_utocnik07 ,stat_utocnik08];	


	//utocne skupiny
	{_x setUnitPos "DOWN"} foreach [poh_utocnik01, poh_utocnik02, poh_utocnik03, poh_utocnik04, poh_utocnik05, poh_utocnik06, poh_utocnik07, poh_utocnik08, poh_utocnik09, poh_utocnik10, poh_utocnik11, poh_utocnik12, poh_utocnik13, poh_utocnik14];
	{_x setCombatMode "BLUE"} foreach [poh_utocnik01, poh_utocnik02, poh_utocnik03, poh_utocnik04, poh_utocnik05, poh_utocnik06, poh_utocnik07, poh_utocnik08, poh_utocnik09, poh_utocnik10, poh_utocnik11, poh_utocnik12, poh_utocnik13, poh_utocnik14];
	{_x setCaptive true} foreach [poh_utocnik01, poh_utocnik02, poh_utocnik03, poh_utocnik04, poh_utocnik05, poh_utocnik06, poh_utocnik07, poh_utocnik08, poh_utocnik09, poh_utocnik10, poh_utocnik11, poh_utocnik12, poh_utocnik13, poh_utocnik14];
	
	selectPlayer aP01;
	removeAllItems aP01;
	vel01_1 move getMarkerPos "konvoj_sofia";
	Path_barikada = compile preprocessFile "path\path_tank.sqf";
	gunner barikada lookAt barikada_target;

	sleep 8;

	titleCut ["","BLACK In", 3];



	waitUntil {vel01_1 distance barikada < 100};

	rec = [] spawn Path_barikada;

	waitUntil {vel01_1 distance barikada < 20};

	waitUntil {vel01_1 distance barikada > 30};

		[] spawn {

				waitUntil {vel01_1 distance barikada > 100};
				vel01_1 setSpeedMOde "NORMAL";

			 };


	titletext [Localize "STR_e00h24","PLAIN DOWN",0.8];
	voj03_1 say3D "e00h24";
	sleep 5;
	titletext [Localize "STR_e00h25","PLAIN DOWN",0.8];
	player say3D "e00h25";
	sleep 4;
	titletext [Localize "STR_e00h26","PLAIN DOWN",0.8];
	voj02_1 say3D "e00h26";
	sleep 5;
	titletext [Localize "STR_e00h27","PLAIN DOWN",0.8];
	player say3D "e00h27";
	sleep 5;
	titletext [Localize "STR_e00h28","PLAIN DOWN",0.8];
	voj02_1 say3D "e00h28";
	sleep 6;
	titletext [Localize "STR_e00h29","PLAIN DOWN",0.8];
	player say3D "e00h29";
	sleep 4;
	titletext [Localize "STR_e00h30","PLAIN DOWN",0.8];
	voj02_1 say3D "e00h30";
	sleep 6;
	titletext [Localize "STR_e00h31","PLAIN DOWN",0.8];
	voj02_1 say3D "e00h31";
	sleep 8;
	titletext [Localize "STR_e00h32","PLAIN DOWN",0.8];
	player say3D "e00h32";
	sleep 3;
	titletext [Localize "STR_e00h33","PLAIN DOWN",0.8];
	voj02_1 say3D "e00h33";
	sleep 8;
	titletext [Localize "STR_e00h34","PLAIN DOWN",0.8];
	player say3D "e00h34";
	sleep 4;
	player SideChat Localize "STR_e00r05";
	playSound "e00r05";
	sleep 4;
	fake_hitman34 SideChat Localize "STR_e00r06";
	playSound "e00r06";
	sleep 4;
	player SideChat Localize "STR_e00r07";
	playSound "e00r07";
	sleep 6;
	fake_hitman34 SideChat Localize "STR_e00r08";
	playSound "e00r08";
	sleep 4;
	fake_hitman34 SideChat Localize "STR_e00r09";
	playSound "e00r09";
	sleep 7;
	titletext [Localize "STR_e00h35","PLAIN DOWN",0.8];
	player say3D "e00h35";
	sleep 3;
	titletext [Localize "STR_e00h36","PLAIN DOWN",0.8];
	player say3D "e00h36";
	sleep 6;



	waitUntil {vel01_1 distance prepad < 120};

	saveGame;	


	waitUntil {vel01_1 distance prepad < 100};


	_naloz = "Bo_GBU12_LGB" createVehicle getPos car01_1;

	//staticke skupiny
	{_x setUnitPos "MIDDLE"} foreach [stat_utocnik01, stat_utocnik05, stat_utocnik06 ,stat_utocnik07 ,stat_utocnik08];	
	{_x setCombatMode "RED"} foreach [stat_utocnik01, stat_utocnik02, stat_utocnik03, stat_utocnik04, stat_utocnik05, stat_utocnik06 ,stat_utocnik07 ,stat_utocnik08];
	{_x setCaptive false} foreach [stat_utocnik01, stat_utocnik02, stat_utocnik03, stat_utocnik04, stat_utocnik05, stat_utocnik06 ,stat_utocnik07 ,stat_utocnik08];	

	//utocne skupiny
	{_x setUnitPos "UP"} foreach [poh_utocnik01, poh_utocnik02, poh_utocnik03, poh_utocnik04, poh_utocnik05, poh_utocnik06, poh_utocnik07];
	{_x setCombatMode "RED"} foreach [poh_utocnik01, poh_utocnik02, poh_utocnik03, poh_utocnik04, poh_utocnik05, poh_utocnik06, poh_utocnik07];
	{_x setCaptive false} foreach [poh_utocnik01, poh_utocnik02, poh_utocnik03, poh_utocnik04, poh_utocnik05, poh_utocnik06, poh_utocnik07];

	//utocne skupiny pohyb
	{_x move getPos car03_1} foreach [poh_utocnik01, poh_utocnik02];

	//obranci postaveni
	{_x stop true} foreach [car02_driver_1, car03_driver_1, car04_driver_1];
	{_x setUnitPos "MIDDLE"} foreach [vojak01, vojak03, vojak04, vojak05, vojak06, vojak08, vojak09, vojak10];
	vojak02 setUnitPos "DOWN";

	// skill obrancu
	{_x setskill ["aimingAccuracy",0.2]} foreach [vojak01, vojak02, vojak03, vojak04, vojak05, vojak06, vojak08, vojak09, vojak10];
	{_x setskill ["aimingShake",0.3]} foreach [vojak01, vojak02, vojak03, vojak04, vojak05, vojak06, vojak08, vojak09, vojak10];	
	{_x setskill ["endurance",1]} foreach [vojak01, vojak02, vojak03, vojak04, vojak05, vojak06, vojak08, vojak09, vojak10];	
	{_x setskill ["spotTime",0.5]} foreach [vojak01, vojak02, vojak03, vojak04, vojak05, vojak06, vojak08, vojak09, vojak10];	
	{_x setskill ["reloadSpeed",0.3]} foreach [vojak01, vojak02, vojak03, vojak04, vojak05, vojak06, vojak08, vojak09, vojak10];
	
	sleep 1;
	
	titleCut ["","WHITE Out", 1];

	sleep 1.1;	

	//pozice aut
	{_x setFuel 0} foreach [car02_1, car03_1, car04_1];
	car02_1 setPos getMarkerPos "car02_1_poz";
	car02_1 setDir 36;
	car03_1 setPos getMarkerPos "car03_1_poz";
	car03_1 setDir 74;
	car04_1 setPos getMarkerPos "car04_1_poz";
	car04_1 setDir 67;



	//pozice vojaku druhe auto
	vojak01 setPos getMarkerPos "vys01_1_poz";
	vojak01 allowDamage false;
	vojak02 setPos getMarkerPos "vys02_1_poz";
	vojak03 setPos getMarkerPos "car02_driver_1_poz";
	vojak03 allowDamage false;

	//pozice vojaku treti auto
	vojak04 setPos getMarkerPos "voj03_1_poz";
	vojak05 setPos getMarkerPos "car03_driver_1_poz";
	vojak06 setPos getMarkerPos "voj02_1_poz";

	//pozice vojaku ctvrte auto	
	vojak08 setPos getMarkerPos "voj05_1_poz";
	vojak09 setPos getMarkerPos "voj04_1_poz";
	vojak10 setPos getMarkerPos "voj10_1_poz";


	// i tu pitomou zed musime posunout

	zed01 setPos getMarkerPos "zed01";
	zed02 setPos getMarkerPos "zed02";

	//vykukuj = true;


			// ozivovaci animace

			[] spawn {

				vojak06 setDir 180;
				removeAllItems vojak10;
				vojak10 SwitchMove "Acts_LyingWounded_loop";
				vojak10 setDamage 0.9;
				vojak10 setDir 90;
				vojak10 disableAI "ANIM";
				vojak06 playMove "Acts_treatingWounded_in";
				sleep 1;
				vojak06 playMove "acts_treatingWounded01";
				sleep 1;
				vojak06 playMove "acts_treatingWounded02";
				sleep 1;
				vojak06 playMove "acts_treatingWounded03";
				sleep 1;
				vojak06 playMove "acts_treatingWounded04";
				sleep 1;
				vojak06 playMove "acts_treatingWounded05";
				sleep 1;
				vojak06 playMove "acts_treatingWounded06";
				
				waitUntil {not alive stat_utocnik_AT};
				

				};

			// ambient granaty

			[] spawn {

				sleep 10 + random 5;
				_hg01 = "GrenadeHand" createVehicle getMarkerPos "hgrenade01"; 
				sleep 3 + random 10;
				_hg02 = "GrenadeHand" createVehicle getMarkerPos "hgrenade02"; 
				sleep 10 + random 3;
				_hg03 = "GrenadeHand" createVehicle getMarkerPos "hgrenade03"; 
				sleep 5 + random 5;
				_hg04 = "GrenadeHand" createVehicle getMarkerPos "hgrenade04"; 
				sleep 10 + random 10;
				If (player distance zed01 > 3) then {_hg05 = "GrenadeHand" createVehicle getMarkerPos "hgrenade05"}; 
				sleep 10 + random 10;
				_hg06 = "GrenadeHand" createVehicle getMarkerPos "hgrenade06"; 
				sleep 10 + random 10;
				_hg07 = "GrenadeHand" createVehicle getMarkerPos "hgrenade07"; 
				sleep 10 + random 10;
				_hg08 = "GrenadeHand" createVehicle getMarkerPos "hgrenade08"; 
				vojak03 allowDamage true;
				vojak03 setDamage 1;

				};



	{deleteVehicle _x} foreach [car03_driver_1, voj02_1, voj03_1, car04_driver_1, voj05_1, car02_driver_1, vys01_1, vys02_1];
	{_x allowDamage false} foreach [vojak03, vojak04, vojak06];

		_camera = "camera" camCreate [0,0,0];
		_camera cameraEffect ["INTERNAL", "BACK"];

		titleCut ["","WHITE In", 0.5];	


		//comment "18:56:12";
		_camera camPrepareTarget [56723.60,115087.27,-4752.32];
		_camera camPreparePos [24650.83,20490.63,4.99];
		_camera camPrepareFOV 0.224;
		_camera camCommitPrepared 0;
		
		//comment "18:56:28";
		_camera camPrepareTarget [37480.25,119551.43,-4752.50];
		_camera camPreparePos [24653.73,20492.42,5.00];
		_camera camPrepareFOV 0.224;
		_camera camCommitPrepared 3;
		waitUntil {camCommitted _camera};


		_camera CameraEffect ["Terminate", "Back"];
		CamDestroy _camera;

	titleCut ["","BLACK In", 1];

	// pozice a natoceni aut
	car01_1 setPos getMarkerPos "car01_1_poz";
	car02_1 setPos getMarkerPos "car02_1_poz";
	car02_1 setDir 36;
	car03_1 setPos getMarkerPos "car03_1_poz";
	car03_1 setDir 74;
	car04_1 setPos getMarkerPos "car04_1_poz";
	car04_1 setDir 67;
	aP01 action ["eject", car03_1];
	aP01 setPos getMarkerPos "ap01_poz";

	// INV cile
	inv_target01 setPos getMarkerPos "inv_target01_poz";
	inv_target02 setPos getMarkerPos "inv_target02_poz";
	inv_target03 setPos getMarkerPos "inv_target03_poz";

	{_x reveal inv_target01} foreach [stat_utocnik01, stat_utocnik02, stat_utocnik03, stat_utocnik04, stat_utocnik05, stat_utocnik06 ,stat_utocnik07 ,stat_utocnik08];
	{_x reveal inv_target02} foreach [stat_utocnik01, stat_utocnik02, stat_utocnik03, stat_utocnik04, stat_utocnik05, stat_utocnik06 ,stat_utocnik07 ,stat_utocnik08];
	{_x reveal inv_target03} foreach [stat_utocnik01, stat_utocnik02, stat_utocnik03, stat_utocnik04, stat_utocnik05, stat_utocnik06 ,stat_utocnik07 ,stat_utocnik08];

	{_x doFire inv_target01} foreach [stat_utocnik01, stat_utocnik02, stat_utocnik03, stat_utocnik04, stat_utocnik05, stat_utocnik06 ,stat_utocnik07 ,stat_utocnik08];
	{_x doFire inv_target02} foreach [stat_utocnik01, stat_utocnik02, stat_utocnik03, stat_utocnik04, stat_utocnik05, stat_utocnik06 ,stat_utocnik07 ,stat_utocnik08];
	{_x doFire inv_target03} foreach [stat_utocnik01, stat_utocnik02, stat_utocnik03, stat_utocnik04, stat_utocnik05, stat_utocnik06 ,stat_utocnik07 ,stat_utocnik08];

	sleep 0.5;

	{deleteCollection _x} foreach [inv_target01, inv_target02, inv_target03];

			// komunikace
			[] spawn {
			


				titletext [Localize "STR_e00h37","PLAIN DOWN",0.8];
				vojak04 say3D "e00h37";
				sleep 1.5;
				titletext [Localize "STR_e00h38","PLAIN DOWN",0.8];
				vojak04 say3D "e00h38";
				sleep 2.5;
				titletext [Localize "STR_e00h39","PLAIN DOWN",0.8];
				vojak04 say3D "e00h39";
				sleep 6;
				titletext [Localize "STR_e00h40","PLAIN DOWN",0.8];
				vojak04 say3D "e00h40";
				sleep 2;
				titletext [Localize "STR_e00h41","PLAIN DOWN",0.8];
				vojak06 say3D "e00h41";
				sleep 5;
				fake_hitman31 SideChat Localize "STR_e00r10";
				playSound "e00r10";
				sleep 2;
				fake_hitman21 SideChat Localize "STR_e00r11";
				playSound "e00r11";

				waitUntil {stat_utocnik_AT distance MarkerPos "rpg_poz" < 3.5};
			
				titletext [Localize "STR_e00h42","PLAIN DOWN",0.8];
				vojak04 say3D "e00h42";
				sleep 1;
				titletext [Localize "STR_e00h43","PLAIN DOWN",0.8];
				vojak04 say3D "e00h43";
	

				};

	sleep 35 + random 10;

	//utocne skupiny
	{_x setUnitPos "UP"} foreach [poh_utocnik08, poh_utocnik09, poh_utocnik10, poh_utocnik11, poh_utocnik12, poh_utocnik13, poh_utocnik14];
	{_x setCombatMode "RED"} foreach [poh_utocnik08, poh_utocnik09, poh_utocnik10, poh_utocnik11, poh_utocnik12, poh_utocnik13, poh_utocnik14];
	{_x setCaptive false} foreach [poh_utocnik08, poh_utocnik09, poh_utocnik10, poh_utocnik11, poh_utocnik12, poh_utocnik13, poh_utocnik14];

	//utocne skupiny pohyb
	{_x move getPos car03_1} foreach [poh_utocnik08, poh_utocnik12];

	car04_1 setCaptive false;

			// raketometcik


			[] spawn {
			

				stat_utocnik_AT setUnitPos "UP";
				stat_utocnik_AT setSpeedMode "FULL";
				stat_utocnik_AT move getMarkerPos "rpg_poz";	
				
				waitUntil {stat_utocnik_AT distance markerPos "rpg_poz" < 1.5};
				stat_utocnik_AT setPos getMarkerPos "rpg_poz";


				stat_utocnik_AT setCombatMode "RED";
				stat_utocnik_AT setUnitPos "MIDDLE";
				stat_utocnik_AT reveal car04_1;
				stat_utocnik_AT doTarget car04_1;

				sleep 3.5;

				stat_utocnik_AT setDir 305;	
				_RPG = "R_PG32V_F" createVehicle [24687.31,20589.32,0.27]; 
				_RPG setDir 300; 
				_RPG setVelocity [-90,100,11];

				sleep 20 + random 10;
			
				If (alive stat_utocnik_AT) then {
				
				car03_1 allowDamage true;
				sleep 0.5;
    				_RPG = "R_PG32V_F" createVehicle [24687.31,20589.32,0.27];
			       	_RPG setDir 330;
			        _RPG setVelocity [-30,60,11];
				_hg09 = "GrenadeHand" createVehicle getPos player; 

				{_x setDamage 1} foreach [player, vojak06, vojak04];
				
								};

				};
	

	waitUntil {not alive car04_1};

	stat_utocnik_AT setCaptive false;
	stat_utocnik_AT allowDamage true;

	

	sleep 30;

	_smoke01 = "SmokeShell" createVehicle getMarkerPos "smoke01"; 
	sleep 1 + random 3;
	_smoke02 = "SmokeShell" createVehicle getMarkerPos "smoke02"; 
	sleep 0.1 + random 2;
	_smoke03 = "SmokeShell" createVehicle getMarkerPos "smoke03"; 

	sleep 5;

	vojak01 move GetMarkerPos "ap01_poz";
	vojak01 setUnitPos "UP";
	vojak01 setCombatMode "BLUE";
	vojak01 setSpeedMode "FULL";
	vojak01 setBehaviour "COMBAT";


	sleep 5;

	waitUntil {player distance car03_1 < 3};

			Path_car05 = compile preprocessFile "path\path_car05.sqf";

	titleCut ["","BLACK Out", 3];

	sleep 3.5;


			rec5 = [] spawn Path_car05;
			playSound "car_ambush_sound";
			vojak03 moveInCargo car03_1;
			player moveInCargo car03_1;
			vojak01 moveInDriver car03_1;
			vojak04 moveInCommander car03_1;


	titleCut ["","BLACK In", 3];

	waitUntil {car03_1 distance dojezd < 6};
	
	hint "funguje";

	car03_1 allowdamage true;
	car03_1 setHit ["wheel_1_1_steering", 1]; 
	car03_1 setHit ["wheel_1_1_hidden", 1]; 
	car03_1 setHit ["glass1", 0.8]; 
	car03_1 setHit ["glass2", 0.8];

	sleep 5;
	car03_1 setPos [24547.1,21082.4,0.184509];
	car03_1 setDir 347.567;


	
	};



//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//                                                      CHAPTER III. defenders Slumdog
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

	[] spawn {

		waitUntil {slumdog};

	//sleep 10000;

			

	{_x setskill ["aimingAccuracy",0.2]} foreach [slum_utocnik01, slum_utocnik02, slum_utocnik03, slum_utocnik04, slum_utocnik05, slum_utocnik06, slum_utocnik07, slum_utocnik08, slum_utocnik09, slum_utocnik10, slum_utocnik11, slum_utocnik12, slum_utocnik13, slum_utocnik14, slum_utocnik15, slum_utocnik16, slum_utocnik17, slum_utocnik18];	
	{_x setskill ["aimingShake",0.3]} foreach [vojak01, vojak03, vojak04, slum_utocnik01, slum_utocnik02, slum_utocnik03, slum_utocnik04, slum_utocnik05, slum_utocnik06, slum_utocnik07, slum_utocnik08, slum_utocnik09, slum_utocnik10, slum_utocnik11, slum_utocnik12, slum_utocnik13, slum_utocnik14, slum_utocnik15, slum_utocnik16, slum_utocnik17, slum_utocnik18];	
	{_x setskill ["endurance",1]} foreach [vojak01, vojak03, vojak04, slum_utocnik01, slum_utocnik02, slum_utocnik03, slum_utocnik04, slum_utocnik05, slum_utocnik06, slum_utocnik07, slum_utocnik08, slum_utocnik09, slum_utocnik10, slum_utocnik11, slum_utocnik12, slum_utocnik13, slum_utocnik14, slum_utocnik15, slum_utocnik16, slum_utocnik17, slum_utocnik18];	
	{_x setskill ["spotTime",0.8]} foreach [vojak01, vojak03, vojak04, slum_utocnik01, slum_utocnik02, slum_utocnik03, slum_utocnik04, slum_utocnik05, slum_utocnik06, slum_utocnik07, slum_utocnik08, slum_utocnik09, slum_utocnik10, slum_utocnik11, slum_utocnik12, slum_utocnik13, slum_utocnik14, slum_utocnik15, slum_utocnik16, slum_utocnik17, slum_utocnik18];	
	{_x setskill ["reloadSpeed",0.3]} foreach [vojak01, vojak03, vojak04, slum_utocnik01, slum_utocnik02, slum_utocnik03, slum_utocnik04, slum_utocnik05, slum_utocnik06, slum_utocnik07, slum_utocnik08, slum_utocnik09, slum_utocnik10, slum_utocnik11, slum_utocnik12, slum_utocnik13, slum_utocnik14, slum_utocnik15, slum_utocnik16, slum_utocnik17, slum_utocnik18];
	{_x setcombatMode "RED"} foreach [slum_utocnik01, slum_utocnik02, slum_utocnik03, slum_utocnik04, slum_utocnik05, slum_utocnik06, slum_utocnik07, slum_utocnik08, slum_utocnik09, slum_utocnik10, slum_utocnik11, slum_utocnik12, slum_utocnik13, slum_utocnik14, slum_utocnik15, slum_utocnik16, slum_utocnik17, slum_utocnik18];
	{_x allowFleeing 0} forEach [vojak01, vojak03, vojak04];

	utocneAuto setSkill ["aimingAccuracy",0.1];
	utocneAuto setskill ["aimingShake",0.2];

			presun01 = false;
			presun02 = false;


			// provizorni setPos auta, nakonec smazat Vozidlo car03_2 je pouze zastupne vozidlo pri spojovani casti smazat.
			car03_2 setPos [24547.1,21082.4,0.184509];
			car03_2 setDir 347.567;

			vojak03 moveInCargo car03_2;
			player moveInCargo car03_2;
			vojak01 moveInDriver car03_2;
			vojak04 moveInCommander car03_2;
			
			sleep 3;


			{unassignVehicle _x} forEach crew vehicle player;
			{_X allowDamage false} forEach [player, vojak01, vojak03, vojak04];

			vojak04 setPos getMarkerPos "vystupM";
			vojak01 setPos getMarkerPos "vystupM_1";

				//vojak01 cesta
				[] spawn {

						
						vojak01 Domove GetMarkerPos "obPoz01_1";
						waitUntil {unitReady vojak01};
						vojak01 lookAt horizont01;
						vojak01 setUnitPos "MIDDLE";	


						//------------------------------------------------------------
						waitUntil {presun01};


						vojak01 setBehaviour "CARELESS";

						vojak01 setUnitPos "UP";
						vojak01 setSpeedMode "FULL";
						vojak01 Domove GetMarkerPos "obPoz01_2";
						waitUntil {vojak01 distance markerPos "obPoz01_2" < 1.5};
						vojak01 lookAt horizont02;
						vojak01 setUnitPos "DOWN";

						vojak01 setBehaviour "COMBAT";

						//------------------------------------------------------------
						waitUntil {presun02};


						vojak01 setUnitPos "UP";
						vojak01 setBehaviour "CARELESS";
						vojak01 Domove GetMarkerPos "obPoz01_3";
						waitUntil {vojak01 distance markerPos "obSmoke01" < 2.5};

						_smoke04 = "SmokeShell" createVehicle getMarkerPos "obSmoke01"; 


						waitUntil {vojak01 distance markerPos "obPoz01_3" < 1.5};
						vojak01 lookAt horizont04;
						vojak01 setUnitPos "MIDDLE";

						_smoke05 = "SmokeShell" createVehicle getMarkerPos "obSmoke02"; 

						waitUntil {vojak04 distance markerPos "obPoz03_4" < 30};


						vojak01 setUnitPos "UP";
						vojak01 move GetMarkerPos "obPoz02_4";
						waitUntil {vojak01 distance markerPos "obPoz03_4" < 15};
						vojak01 move GetMarkerPos "obPoz01_4";

						waitUntil {vojak01 distance markerPos "obPoz01_4" < 1.5};
						vojak01 lookAt horizont04;
						vojak01 setUnitPos "MIDDLE";

						vojak01 setBehaviour "COMBAT";

						//------------------------------------------------------------




					  };

				//vojak03 cesta
				[] spawn {

						vojak03 Domove GetMarkerPos "obPoz02_1";
						waitUntil {unitReady vojak03};
						vojak03 lookAt horizont02;
						vojak03 setUnitPos "MIDDLE";


						//------------------------------------------------------------
						waitUntil {vojak01 distance markerPos "obPoz01_2" < 25};
						vojak04 lookAt horizont01;
						sleep 2;

						vojak03 setBehaviour "CARELESS";


						vojak03 setUnitPos "UP";
						vojak03 setSpeedMode "FULL";
						vojak03 Domove getMarkerPos "obPoz02_2";
						waitUntil {vojak03 distance markerPos "obPoz02_2" < 1.5};
						vojak03 lookAt horizont02;
						vojak03 setUnitPos "MIDDLE";


						vojak03 setBehaviour "COMBAT";

						//------------------------------------------------------------
						waitUntil {vojak01 distance markerPos "obPoz01_3" < 6};

						vojak03 setBehaviour "CARELESS";
						vojak03 setUnitPos "UP";
						vojak03 setSpeedMode "FULL";
						vojak03 move getMarkerPos "obPoz02_3";
						waitUntil {vojak03 distance markerPos "obPoz02_3" < 1.5};

						vojak03 move getMarkerPos "obPoz02_4";

						waitUntil {vojak03 distance markerPos "obSmoke03" < 40};
						_smoke06 = "SmokeShell" createVehicle getMarkerPos "obSmoke03"; 
						waitUntil {vojak03 distance markerPos "obSmoke04" < 40};
						_smoke07 = "SmokeShell" createVehicle getMarkerPos "obSmoke04"; 

						waitUntil {vojak03 distance markerPos "obPoz02_4" < 1.5};
						vojak03 lookAt horizont03;
						vojak03 setUnitPos "DOWN";

						vojak03 setBehaviour "COMBAT";



						//------------------------------------------------------------



					  };

				//vojak04 cesta
				[] spawn {


						vojak04 Domove GetMarkerPos "obPoz03_1";
						waitUntil {unitReady vojak04};
						vojak04 lookAt horizont03;
						vojak04 setUnitPos "MIDDLE";


						//------------------------------------------------------------
						waitUntil {vojak03 distance markerPos "obPoz02_2" < 20};
						sleep 2;

						vojak04 setBehaviour "CARELESS";

						vojak04 setUnitPos "UP";
						vojak04 setSpeedMode "FULL";
						vojak04 Domove getMarkerPos "obPoz03_2";
						waitUntil {vojak04 distance markerPos "obPoz03_2" < 1.5};
						vojak04 lookAt horizont02;
						vojak04 setUnitPos "MIDDLE";


						vojak04 setBehaviour "COMBAT";


						//------------------------------------------------------------
						waitUntil {vojak03 distance markerPos "obPoz02_4" < 35};

						vojak04 setBehaviour "CARELESS";
						vojak04 setUnitPos "UP";
						vojak04 setSpeedMode "FULL";
						vojak04 move getMarkerPos "obPoz02_3";
						waitUntil {vojak04 distance markerPos "obPoz02_3" < 1.5};

						vojak04 move getMarkerPos "obPoz03_4";
						waitUntil {vojak04 distance markerPos "obPoz03_4" < 1.5};
						vojak04 lookAt horizont03;
						vojak04 setUnitPos "MIDDLE";



						vojak04 setBehaviour "COMBAT";
	


						//------------------------------------------------------------







					  };

	sleep 10;

	playMusic "LeadTrack03_F_EPA";
	prvniVlna = [slum_utocnik01, slum_utocnik02, slum_utocnik03, slum_utocnik04, slum_utocnik05, slum_utocnik06];
	{_X setPos getMarkerPos "enemySpawn01"} forEach [slum_utocnik01, slum_utocnik02, slum_utocnik03];
	{_X setPos getMarkerPos "enemySpawn02"} forEach [slum_utocnik04, slum_utocnik05, slum_utocnik06];
	{vojak01 reveal _X} forEach [slum_utocnik01, slum_utocnik02, slum_utocnik03, slum_utocnik04, slum_utocnik05, slum_utocnik06];
	{vojak03 reveal _X} forEach [slum_utocnik01, slum_utocnik02, slum_utocnik03, slum_utocnik04, slum_utocnik05, slum_utocnik06];
	{vojak04 reveal _X} forEach [slum_utocnik01, slum_utocnik02, slum_utocnik03, slum_utocnik04, slum_utocnik05, slum_utocnik06];
	{_x allowFleeing 0} forEach [slum_utocnik01, slum_utocnik02, slum_utocnik03, slum_utocnik04, slum_utocnik05, slum_utocnik06];
	{_x setUnitPos "UP"} forEach [slum_utocnik01, slum_utocnik02, slum_utocnik03, slum_utocnik04, slum_utocnik05, slum_utocnik06];
	{_x setBehaviour "COMBAT"} forEach [slum_utocnik01, slum_utocnik02, slum_utocnik03, slum_utocnik04, slum_utocnik05, slum_utocnik06];

	{_X move getPos utok01} forEach [slum_utocnik01, slum_utocnik02, slum_utocnik03, slum_utocnik04, slum_utocnik05, slum_utocnik06];

	waitUntil {({alive _x} count prvniVlna) == 1};

		If (alive slum_utocnik01) then {_hg001 = "GrenadeHand" createVehicle getPos slum_utocnik01 ; sleep 4 ; slum_utocnik01 setDamage 1};
		If (alive slum_utocnik02) then {_hg001 = "GrenadeHand" createVehicle getPos slum_utocnik02 ; sleep 4 ; slum_utocnik02 setDamage 1};
		If (alive slum_utocnik03) then {_hg001 = "GrenadeHand" createVehicle getPos slum_utocnik03 ; sleep 4 ; slum_utocnik03 setDamage 1};
		If (alive slum_utocnik04) then {_hg001 = "GrenadeHand" createVehicle getPos slum_utocnik04 ; sleep 4 ; slum_utocnik04 setDamage 1};
		If (alive slum_utocnik05) then {_hg001 = "GrenadeHand" createVehicle getPos slum_utocnik05 ; sleep 4 ; slum_utocnik05 setDamage 1};
		If (alive slum_utocnik06) then {_hg001 = "GrenadeHand" createVehicle getPos slum_utocnik06 ; sleep 4 ; slum_utocnik06 setDamage 1};
	

	presun01 = true;



	waitUntil {vojak04 distance markerPos "obPoz03_2" < 1.5};

	druhaVlna = [slum_utocnik07, slum_utocnik08, slum_utocnik09, slum_utocnik10, slum_utocnik11, slum_utocnik12];
	{_X setPos getMarkerPos "enemySpawn03"} forEach [slum_utocnik07, slum_utocnik08, slum_utocnik09];
	{_X setPos getMarkerPos "enemySpawn04"} forEach [slum_utocnik10, slum_utocnik11, slum_utocnik12];

	{_X move getPos utok02} forEach [slum_utocnik07, slum_utocnik08, slum_utocnik09, slum_utocnik10, slum_utocnik11, slum_utocnik12];

	{_x allowFleeing 0} forEach [slum_utocnik07, slum_utocnik08, slum_utocnik09, slum_utocnik10, slum_utocnik11, slum_utocnik12];
	{vojak01 reveal _X} forEach [slum_utocnik07, slum_utocnik08, slum_utocnik09, slum_utocnik10, slum_utocnik11, slum_utocnik12];
	{vojak03 reveal _X} forEach [slum_utocnik07, slum_utocnik08, slum_utocnik09, slum_utocnik10, slum_utocnik11, slum_utocnik12];
	{vojak04 reveal _X} forEach [slum_utocnik07, slum_utocnik08, slum_utocnik09, slum_utocnik10, slum_utocnik11, slum_utocnik12];

	{_x allowFleeing 0} forEach [slum_utocnik07, slum_utocnik08, slum_utocnik09, slum_utocnik10, slum_utocnik11, slum_utocnik12];
	{_x setUnitPos "UP"} forEach [slum_utocnik07, slum_utocnik08, slum_utocnik09, slum_utocnik10, slum_utocnik11, slum_utocnik12];
	{_x setBehaviour "COMBAT"} forEach [slum_utocnik07, slum_utocnik08, slum_utocnik09, slum_utocnik10, slum_utocnik11, slum_utocnik12];

	sleep 20 + random 5;	

	tretiVlna = [slum_utocnik13, slum_utocnik14, slum_utocnik15, slum_utocnik16, slum_utocnik17, slum_utocnik18];
	{_X setPos getMarkerPos "enemySpawn05"} forEach [slum_utocnik13, slum_utocnik14, slum_utocnik15];
	{_X setPos getMarkerPos "enemySpawn06"} forEach [slum_utocnik16, slum_utocnik17, slum_utocnik18];

	{_X move getPos utok03} forEach [slum_utocnik13, slum_utocnik14, slum_utocnik15, slum_utocnik16, slum_utocnik17, slum_utocnik18];

	{_x allowFleeing 0} forEach [slum_utocnik13, slum_utocnik14, slum_utocnik15, slum_utocnik16, slum_utocnik17, slum_utocnik18];
	{vojak01 reveal _X} forEach [slum_utocnik13, slum_utocnik14, slum_utocnik15, slum_utocnik16, slum_utocnik17, slum_utocnik18];
	{vojak03 reveal _X} forEach [slum_utocnik13, slum_utocnik14, slum_utocnik15, slum_utocnik16, slum_utocnik17, slum_utocnik18];
	{vojak04 reveal _X} forEach [slum_utocnik13, slum_utocnik14, slum_utocnik15, slum_utocnik16, slum_utocnik17, slum_utocnik18];

	//{_x setUnitPos "UP"} forEach [slum_utocnik13, slum_utocnik14, slum_utocnik15, slum_utocnik16, slum_utocnik17, slum_utocnik18];
	{_x setBehaviour "COMBAT"} forEach [slum_utocnik13, slum_utocnik14, slum_utocnik15, slum_utocnik16, slum_utocnik17, slum_utocnik18];


	waitUntil {({alive _x} count druhaVlna + tretiVlna) == 6};

	utocneAuto setPos getMarkerPos "utocnyOff";
	5 fadeMusic 0;
	sleep 5;
	utocneAuto move getPos horizont01_1;

	waitUntil {utocneAuto distance horizont01 < 170};

	5 fadeMusic 1;
	playMusic ["LeadTrack01_F",20.7];

	deleteCollection inv_target04;
	inv_target04 attachTo [ imag_Cil, [ 0, 0, 2.5 ] ];

	gunner utocneAuto doFire inv_target04;

	presun02 = true;
			
	waitUntil {vojak01 distance markerPos "obPoz01_4" <45};

	ctvrtaVlna = [slum_utocnik19, slum_utocnik20, slum_utocnik21, slum_utocnik22, slum_utocnik23, slum_utocnik24, slum_utocnik25, slum_utocnik26, slum_utocnik27, slum_utocnik28];
	{_X setPos getMarkerPos "enemySpawn07"} forEach [slum_utocnik19, slum_utocnik20, slum_utocnik21, slum_utocnik22, slum_utocnik23];
	{_X setPos getMarkerPos "enemySpawn08"} forEach [slum_utocnik24, slum_utocnik25, slum_utocnik26, slum_utocnik27, slum_utocnik28];

	{_X move getPos utok05} forEach [slum_utocnik19, slum_utocnik20, slum_utocnik21, slum_utocnik22, slum_utocnik23];
	{_X move getPos utok04} forEach [slum_utocnik24, slum_utocnik25, slum_utocnik26, slum_utocnik27, slum_utocnik28];

	{_x allowFleeing 0} forEach [slum_utocnik19, slum_utocnik20, slum_utocnik21, slum_utocnik22, slum_utocnik23, slum_utocnik24, slum_utocnik25, slum_utocnik26, slum_utocnik27, slum_utocnik28];
	{vojak01 reveal _X} forEach [slum_utocnik19, slum_utocnik20, slum_utocnik21, slum_utocnik22, slum_utocnik23, slum_utocnik24, slum_utocnik25, slum_utocnik26, slum_utocnik27, slum_utocnik28];
	{vojak03 reveal _X} forEach [slum_utocnik19, slum_utocnik20, slum_utocnik21, slum_utocnik22, slum_utocnik23, slum_utocnik24, slum_utocnik25, slum_utocnik26, slum_utocnik27, slum_utocnik28];
	{vojak04 reveal _X} forEach [slum_utocnik19, slum_utocnik20, slum_utocnik21, slum_utocnik22, slum_utocnik23, slum_utocnik24, slum_utocnik25, slum_utocnik26, slum_utocnik27, slum_utocnik28];
	{_x setBehaviour "COMBAT"} forEach [slum_utocnik19, slum_utocnik20, slum_utocnik21, slum_utocnik22, slum_utocnik23, slum_utocnik24, slum_utocnik25, slum_utocnik26, slum_utocnik27, slum_utocnik28];

	[] spawn {

		Path_heli = compile preprocessFile "path\path_heli.sqf";
		rec = [] spawn Path_heli;

			[] spawn {   
				waitUntil {heli2 distance imag_cil < 450};
  
				while {heli2 distance imag_cil > 310} do {  

					heli2 fire "M134_minigun";
					sleep 0.01; 

							
						};   
				  };

			[] spawn {   
				waitUntil {heli2 distance imag_cil < 350};

				utocneAuto setDamage 1;
  	  
				  };


			waitUntil {heli2 distance otocka < 100};

			[] spawn {   
				waitUntil {heli2 distance imag_cil < 300};  
				while {heli2 distance imag_cil > 180} do {  

					heli2 fire "M134_minigun";
					sleep 0.01;     
  

						};   
				  };


		  };


	waitUntil {heli2 distance odlet < 100};


	{_x move getMarkerPos "utocnyOff"} forEach [slum_utocnik19, slum_utocnik20, slum_utocnik21, slum_utocnik22, slum_utocnik23, slum_utocnik24, slum_utocnik25, slum_utocnik26, slum_utocnik27, slum_utocnik28];	
	{_x setUnitPos "UP"} forEach [slum_utocnik19, slum_utocnik20, slum_utocnik21, slum_utocnik22, slum_utocnik23, slum_utocnik24, slum_utocnik25, slum_utocnik26, slum_utocnik27, slum_utocnik28];
	{_x setSpeedMode "FULL"} forEach [slum_utocnik19, slum_utocnik20, slum_utocnik21, slum_utocnik22, slum_utocnik23, slum_utocnik24, slum_utocnik25, slum_utocnik26, slum_utocnik27, slum_utocnik28];
	{_x setBehaviour "CARELESS"} forEach [slum_utocnik19, slum_utocnik20, slum_utocnik21, slum_utocnik22, slum_utocnik23, slum_utocnik24, slum_utocnik25, slum_utocnik26, slum_utocnik27, slum_utocnik28];
	{_x setCombatMode "BLUE"} forEach [slum_utocnik19, slum_utocnik20, slum_utocnik21, slum_utocnik22, slum_utocnik23, slum_utocnik24, slum_utocnik25, slum_utocnik26, slum_utocnik27, slum_utocnik28];



	_smokeY = "SmokeShellYellow" createVehicle getMarkerPos "yellowSmoke";


	waitUntil {heli2 distance pickUp < 100};

























	};

